Subject: bug#35519: librsvg broken on i686-linux

From: Ludovic Courtès <[email-masked]>
Date: Mon, 16 Sep 2019 22:48:42 +0200

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> Yes, I've brought that up upstream and upstream is more than willing to work
> on this and debug this problem if there is a system to debug it on.
>
> However, as far as I understand we decided not to give thepowersgang (authors
> of mrustc) a login to a Guix machine--therefore, the situation will not improve.

What about giving them “guix pack mrustc”, or a guix-install.sh + pull
command sequence, or a VM image?

The instructions would be:

  1. Download and run <https://guix.gnu.org/install.sh>.  It will
     perform the steps described at
     <https://guix.gnu.org/manual/en/html_node/Binary-Installation.html>.

  2. Write this to a file:

       (list (channel
               (name 'guix)
               (url "https://git.savannah.gnu.org/git/guix.git")
               (commit
                 "0b2ea78173f05c417a9002e52e2b36b139074124")))

  3. Run ‘guix pull -C that-file.scm -p ~/core-updates’.

  4. Run ‘~/core-updates/bin/guix build rust -s i686-linux -K’.
     Investigate as per
     <https://guix.gnu.org/manual/en/html_node/Debugging-Build-Failures.html>.

Perhaps you could propose them to do that, and if that’s too much to
ask, we can meet halfway somehow.

Of course we can also provide guidance on #guix on IRC.

WDYT?

> No, but thepowersgang might find it very quickly.  They guess it might be
> some C undefined behavior being used by the mrustc->C translator, or a problem
> with the struct layout (although I've checked the latter and it should be
> fine).

Would Valgrind or ASan be able to flag the potential issue?

Thanks,
Ludo’.